Skip to main content
POST
Merge customers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business the customers belong to

customerId
string<uuid>
required

The UUID of the customer to merge into (target customer)

Body

application/json
customer_to_archive_id
string<uuid>
required

UUID of the customer that will be archived after merging

Response

200 - application/json

Customers merged successfully

id
string<uuid>

Unique identifier for the customer.

external_id
string

Unique ID of the customer in your system for linking purposes. Idempotency key.

Example:

"31415926535"

individual_name
string | null

Full name of the individual customer or contact at a corporate customer.

company_name
string | null

Name of the company customer.

email
string | null

Email address of the customer.

mobile_phone
string | null

Mobile phone number of the customer.

office_phone
string | null

Office phone number of the customer.

address_string
string | null

Address of the customer.

memo
string | null

Memo for any text you would like to associate with the customer (for example, to display to end users).

status
string

Status of the customer. Possible values: ACTIVE, ARCHIVED.

Example:

"ACTIVE"

transaction_tags
object[]